Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 4648)
@@ -2107,45 +1972,41 @@
     END SELECT
 !
-!-- Consistency checks and index array initialization are only required for
-!-- non-flat topography.
+!-- Consistency checks and index array initialization are only required for non-flat topography.
     IF ( TRIM( topography ) /= 'flat' )  THEN
 !
-!--    In case of non-flat topography, check whether the convention how to 
-!--    define the topography grid has been set correctly, or whether the default
-!--    is applicable. If this is not possible, abort.
+!--    In case of non-flat topography, check whether the convention how to define the topography
+!--    grid has been set correctly, or whether the default is applicable. If this is not possible,
+!--    abort.
        IF ( TRIM( topography_grid_convention ) == ' ' )  THEN
-          IF ( TRIM( topography ) /= 'closed_channel' .AND.                    &
-               TRIM( topography ) /= 'single_building' .AND.                   &
-               TRIM( topography ) /= 'single_street_canyon' .AND.              &
-               TRIM( topography ) /= 'tunnel'  .AND.                           &
+          IF ( TRIM( topography ) /= 'closed_channel'        .AND.                                 &
+               TRIM( topography ) /= 'single_building'       .AND.                                 &
+               TRIM( topography ) /= 'single_street_canyon'  .AND.                                 &
+               TRIM( topography ) /= 'tunnel'                .AND.                                 &
                TRIM( topography ) /= 'read_from_file')  THEN
-!--          The default value is not applicable here, because it is only valid
-!--          for the four standard cases 'single_building', 
-!--          'single_street_canyon', 'tunnel' and 'read_from_file'
+!--          The default value is not applicable here, because it is only valid for the four
+!--          standard cases 'single_building', 'single_street_canyon', 'tunnel' and 'read_from_file'
 !--          defined in init_grid.
-             WRITE( message_string, * )                                        &
-               'The value for "topography_grid_convention" ',                  &
-               'is not set. Its default value is & only valid for ',           &
-               '"topography" = ''single_building'', ''tunnel'' ',              &
-               '''single_street_canyon'', ''closed_channel'' & or ',           &
-               '''read_from_file''.',                                          &
-               '& Choose ''cell_edge'' or ''cell_center''.'
+             WRITE( message_string, * ) 'The value for "topography_grid_convention" ',             &
+                                        'is not set. Its default value is & only valid for ',      &
+                                        '"topography" = ''single_building'', ''tunnel'' ',         &
+                                        '''single_street_canyon'', ''closed_channel'' & or ',      &
+                                        '''read_from_file''.',                                     &
+                                        '& Choose ''cell_edge'' or ''cell_center''.'
              CALL message( 'init_grid', 'PA0239', 1, 2, 0, 6, 0 )
           ELSE
 !--          The default value is applicable here.
 !--          Set convention according to topography.
-             IF ( TRIM( topography ) == 'single_building' .OR.                 &
+             IF ( TRIM( topography ) == 'single_building'  .OR.                                    &
                   TRIM( topography ) == 'single_street_canyon' )  THEN
                 topography_grid_convention = 'cell_edge'
-             ELSEIF ( TRIM( topography ) == 'read_from_file'  .OR.             &
+             ELSEIF ( TRIM( topography ) == 'read_from_file'  .OR.                                 &
                       TRIM( topography ) == 'tunnel')  THEN
                 topography_grid_convention = 'cell_center'
              ENDIF
           ENDIF
-       ELSEIF ( TRIM( topography_grid_convention ) /= 'cell_edge' .AND.        &
+       ELSEIF ( TRIM( topography_grid_convention ) /= 'cell_edge'  .AND.                           &
                 TRIM( topography_grid_convention ) /= 'cell_center' )  THEN
-          WRITE( message_string, * )                                           &
-            'The value for "topography_grid_convention" is ',                  &
-            'not recognized.& Choose ''cell_edge'' or ''cell_center''.'
+          WRITE( message_string, * )  'The value for "topography_grid_convention" is ',            &
+                                      'not recognized.& Choose ''cell_edge'' or ''cell_center''.'
           CALL message( 'init_grid', 'PA0240', 1, 2, 0, 6, 0 )
        ENDIF
@@ -2153,13 +2014,13 @@
 
        IF ( topography_grid_convention == 'cell_edge' )  THEN
-! 
-!--       The array nzb_local as defined using the 'cell_edge' convention 
-!--       describes the actual total size of topography which is defined at the 
-!--       cell edges where u=0 on the topography walls in x-direction and v=0 
+!
+!--       The array nzb_local as defined using the 'cell_edge' convention
+!--       describes the actual total size of topography which is defined at the
+!--       cell edges where u=0 on the topography walls in x-direction and v=0
 !--       on the topography walls in y-direction. However, PALM uses individual
 !--       arrays nzb_u|v|w|s_inner|outer that are based on nzb_s_inner.
-!--       Therefore, the extent of topography in nzb_local is now reduced by 
-!--       1dx at the E topography walls and by 1dy at the N topography walls 
-!--       to form the basis for nzb_s_inner. 
+!--       Therefore, the extent of topography in nzb_local is now reduced by
+!--       1dx at the E topography walls and by 1dy at the N topography walls
+!--       to form the basis for nzb_s_inner.
 !--       Note, the reverse memory access (i-j instead of j-i) is absolutely
 !--       required at this point.
@@ -2167,10 +2028,9 @@
              DO  i = nxl-1, nxr
                 DO  k = nzb, nzt+1
-                   IF ( BTEST( topo(k,j,i), 0 )  .OR.                          &
-                        BTEST( topo(k,j,i+1), 0 ) )                            &
+                   IF ( BTEST( topo(k,j,i), 0 )  .OR.  BTEST( topo(k,j,i+1), 0 ) )                 &
                        topo(k,j,i) = IBSET( topo(k,j,i), 0 )
                 ENDDO
              ENDDO
-          ENDDO      
+          ENDDO
           CALL exchange_horiz_int( topo, nys, nyn, nxl, nxr, nzt, nbgp )
 
@@ -2178,12 +2038,11 @@
              DO  j = nys-1, nyn
                 DO  k = nzb, nzt+1
-                   IF ( BTEST( topo(k,j,i), 0 )  .OR.                          &
-                        BTEST( topo(k,j+1,i), 0 ) )                            &
+                   IF ( BTEST( topo(k,j,i), 0 )  .OR.  BTEST( topo(k,j+1,i), 0 ) )                 &
                       topo(k,j,i) = IBSET( topo(k,j,i), 0 )
                 ENDDO
              ENDDO
-          ENDDO  
+          ENDDO
           CALL exchange_horiz_int( topo, nys, nyn, nxl, nxr, nzt, nbgp )
-   
+
        ENDIF
     ENDIF
@@ -2194,14 +2053,14 @@
  SUBROUTINE set_topo_flags(topo)
 
-    USE control_parameters,                                                    &
-        ONLY:  bc_lr_cyc, bc_ns_cyc, constant_flux_layer,                      &
-               scalar_advec, topography, use_surface_fluxes, use_top_fluxes
-
-    USE exchange_horiz_mod,                                                    &
+    USE control_parameters,                                                                        &
+        ONLY:  bc_lr_cyc, bc_ns_cyc, constant_flux_layer, scalar_advec, topography,                &
+               use_surface_fluxes, use_top_fluxes
+
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz_int
 
-    USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb,  &
-               nzt, topo_top_ind, wall_flags_static_0, wall_flags_total_0
+    USE indices,                                                                                   &
+        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nzb, nzt, topo_top_ind,   &
+               wall_flags_static_0, wall_flags_total_0
 
     USE kinds
@@ -2214,5 +2073,6 @@
     INTEGER(iwp) ::  k             !< index variable along z
 
-    INTEGER(iwp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  topo !< input array for 3D topography and dummy array for setting "outer"-flags
+    INTEGER(iwp), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  topo !< input array for 3D topography and dummy array for setting
+                                                                    !< "outer"-flags
 
     ALLOCATE( wall_flags_static_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
@@ -2220,5 +2080,5 @@
 !
 !-- Set-up topography flags. First, set flags only for s, u, v and w-grid.
-!-- Further special flags will be set in following loops. 
+!-- Further special flags will be set in following loops.
     DO  i = nxl, nxr
        DO  j = nys, nyn
@@ -2226,15 +2086,13 @@
 !
 !--          scalar grid
-             IF ( BTEST( topo(k,j,i), 0 ) )                                    &
+             IF ( BTEST( topo(k,j,i), 0 ) )                                                        &
                 wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 0 )
 !
 !--          u grid
-             IF ( BTEST( topo(k,j,i),   0 )  .AND.                             &
-                  BTEST( topo(k,j,i-1), 0 ) )                                  &
+             IF ( BTEST( topo(k,j,i), 0 )  .AND.  BTEST( topo(k,j,i-1), 0 ) )                      &
                 wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 1 )
 !
 !--          v grid
-             IF ( BTEST( topo(k,j,i),   0 )  .AND.                             &
-                  BTEST( topo(k,j-1,i), 0 ) )                                  &
+             IF ( BTEST( topo(k,j,i), 0 )  .AND.  BTEST( topo(k,j-1,i), 0 ) )                      &
                  wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 2 )
 
@@ -2244,10 +2102,9 @@
 !
 !--          w grid
-             IF ( BTEST( topo(k,j,i),   0 )  .AND.                             &
-                  BTEST( topo(k+1,j,i), 0 ) )                                  &
+             IF ( BTEST( topo(k,j,i), 0 )  .AND.  BTEST( topo(k+1,j,i), 0 ) )                      &
                 wall_flags_static_0(k,j,i) = IBSET( wall_flags_static_0(k,j,i), 3 )
           ENDDO
-          
-          IF ( topography /= 'closed_channel' ) THEN
+
+          IF ( topography /= 'closed_channel' )  THEN
              wall_flags_static_0(nzt+1,j,i) = IBSET( wall_flags_static_0(nzt+1,j,i), 3 )
           ENDIF
@@ -2259,11 +2116,10 @@
 
 !
-!-- Set outer array for scalars to mask near-surface grid points. Note, on 
-!-- basis of flag 24 futher flags will be derived which are used to control
-!-- production of subgrid TKE production near walls. 
-    
+!-- Set outer array for scalars to mask near-surface grid points. Note, on basis of flag 24 futher
+!-- flags will be derived which are used to control production of subgrid TKE production near walls.
+
     ALLOCATE( wall_flags_total_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
     wall_flags_total_0 = 0
-                                    
+
     DO i = nxl, nxr
        DO j = nys, nyn
@@ -2273,18 +2129,18 @@
        ENDDO
     ENDDO
-    
+
     CALL exchange_horiz_int( wall_flags_total_0, nys, nyn, nxl, nxr, nzt, nbgp )
-    
+
     DO i = nxl, nxr
        DO j = nys, nyn
           DO k = nzb, nzt+1
-             IF ( BTEST( wall_flags_total_0(k,j-1,i), 0 )    .AND.                   &
-                  BTEST( wall_flags_total_0(k,j+1,i), 0 )    .AND.                   &
-                  BTEST( wall_flags_total_0(k,j,i-1), 0 )    .AND.                   &
-                  BTEST( wall_flags_total_0(k,j,i+1), 0 )    .AND.                   &
-                  BTEST( wall_flags_total_0(k,j-1,i-1), 0 )  .AND.                   &
-                  BTEST( wall_flags_total_0(k,j+1,i-1), 0 )  .AND.                   &
-                  BTEST( wall_flags_total_0(k,j-1,i+1), 0 )  .AND.                   &
-                  BTEST( wall_flags_total_0(k,j+1,i+1), 0 ) )                        &
+             IF ( BTEST( wall_flags_total_0(k,j-1,i), 0 )    .AND.                                 &
+                  BTEST( wall_flags_total_0(k,j+1,i), 0 )    .AND.                                 &
+                  BTEST( wall_flags_total_0(k,j,i-1), 0 )    .AND.                                 &
+                  BTEST( wall_flags_total_0(k,j,i+1), 0 )    .AND.                                 &
+                  BTEST( wall_flags_total_0(k,j-1,i-1), 0 )  .AND.                                 &
+                  BTEST( wall_flags_total_0(k,j+1,i-1), 0 )  .AND.                                 &
+                  BTEST( wall_flags_total_0(k,j-1,i+1), 0 )  .AND.                                 &
+                  BTEST( wall_flags_total_0(k,j+1,i+1), 0 ) )                                      &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 24 )
           ENDDO
@@ -2298,18 +2154,15 @@
 !
 !--          scalar grid, former nzb_diff_s_inner.
-!--          Note, use this flag also to mask topography in diffusion_u and 
-!--          diffusion_v along the vertical direction. In case of 
-!--          use_surface_fluxes, fluxes are calculated via MOST, else, simple
-!--          gradient approach is applied. Please note, in case of u- and v-
-!--          diffuison, a small error is made at edges (on the east side for u,
-!--          at the north side for v), since topography on scalar grid point
-!--          is used instead of topography on u/v-grid. As number of topography grid
-!--          points on uv-grid is different than s-grid, different number of 
-!--          surface elements would be required. In order to avoid this, 
-!--          treat edges (u(k,j,i+1)) simply by a gradient approach, i.e. these
-!--          points are not masked within diffusion_u. Tests had shown that the
-!--          effect on the flow is negligible. 
+!--          Note, use this flag also to mask topography in diffusion_u and diffusion_v along the
+!--          vertical direction. In case of use_surface_fluxes, fluxes are calculated via MOST,
+!--          else, simple gradient approach is applied. Please note, in case of u- and v-diffuison,
+!--          a small error is made at edges (on the east side for u, at the north side for v), since
+!--          topography on scalar grid point is used instead of topography on u/v-grid. As number of
+!--          topography grid points on uv-grid is different than s-grid, different number of surface
+!--          elements would be required. In order to avoid this, treat edges (u(k,j,i+1)) simply by
+!--          a gradient approach, i.e. these points are not masked within diffusion_u. Tests had
+!--          shown that the effect on the flow is negligible.
              IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
-                IF ( BTEST( wall_flags_total_0(k,j,i), 0 ) )                         &
+                IF ( BTEST( wall_flags_total_0(k,j,i), 0 ) )                                       &
                    wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 8 )
              ELSE
@@ -2319,6 +2172,5 @@
           ENDDO
 !
-!--       Special flag to control vertical diffusion at model top - former 
-!--       nzt_diff
+!--       Special flag to control vertical diffusion at model top - former nzt_diff
           wall_flags_total_0(:,j,i) = IBSET( wall_flags_total_0(:,j,i), 9 )
           IF ( use_top_fluxes )                                                &
@@ -2328,50 +2180,46 @@
           DO k = nzb+1, nzt
 !
-!--          Special flag on u grid, former nzb_u_inner + 1, required   
-!--          for disturb_field and initialization. Do not disturb directly at
-!--          topography, as well as initialize u with zero one grid point outside
-!--          of topography.
-             IF ( BTEST( wall_flags_total_0(k-1,j,i), 1 )  .AND.                     &
-                  BTEST( wall_flags_total_0(k,j,i),   1 )  .AND.                     &
-                  BTEST( wall_flags_total_0(k+1,j,i), 1 ) )                          &
+!--          Special flag on u grid, former nzb_u_inner + 1, required for disturb_field and
+!--          initialization. Do not disturb directly at topography, as well as initialize u with
+!--          zero one grid point outside of topography.
+             IF ( BTEST( wall_flags_total_0(k-1,j,i), 1 )  .AND.                                   &
+                  BTEST( wall_flags_total_0(k,j,i),   1 )  .AND.                                   &
+                  BTEST( wall_flags_total_0(k+1,j,i), 1 ) )                                        &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 20 )
 !
-!--          Special flag on v grid, former nzb_v_inner + 1, required   
-!--          for disturb_field and initialization. Do not disturb directly at
-!--          topography, as well as initialize v with zero one grid point outside
-!--          of topography.
-             IF ( BTEST( wall_flags_total_0(k-1,j,i), 2 )  .AND.                     &
-                  BTEST( wall_flags_total_0(k,j,i),   2 )  .AND.                     &
-                  BTEST( wall_flags_total_0(k+1,j,i), 2 ) )                          &
+!--          Special flag on v grid, former nzb_v_inner + 1, required for disturb_field and
+!--          initialization. Do not disturb directly at topography, as well as initialize v with
+!--          zero one grid point outside of topography.
+             IF ( BTEST( wall_flags_total_0(k-1,j,i), 2 )  .AND.                                   &
+                  BTEST( wall_flags_total_0(k,j,i),   2 )  .AND.                                   &
+                  BTEST( wall_flags_total_0(k+1,j,i), 2 ) )                                        &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 21 )
 !
-!--          Special flag on scalar grid, former nzb_s_inner+1. Used for 
-!--          lpm_sgs_tke
-             IF ( BTEST( wall_flags_total_0(k,j,i),   0 )  .AND.                     &
-                  BTEST( wall_flags_total_0(k-1,j,i), 0 )  .AND.                     &
-                  BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                          &
+!--          Special flag on scalar grid, former nzb_s_inner+1. Used for lpm_sgs_tke
+             IF ( BTEST( wall_flags_total_0(k,j,i),   0 )  .AND.                                   &
+                  BTEST( wall_flags_total_0(k-1,j,i), 0 )  .AND.                                   &
+                  BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                                        &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 25 )
 !
-!--          Special flag on scalar grid, nzb_diff_s_outer - 1, required in 
+!--          Special flag on scalar grid, nzb_diff_s_outer - 1, required in in production_e
+             IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
+                IF ( BTEST( wall_flags_total_0(k,j,i),   24 )  .AND.                               &
+                     BTEST( wall_flags_total_0(k-1,j,i), 24 )  .AND.                               &
+                     BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                                     &
+                   wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 29 )
+             ELSE
+                IF ( BTEST( wall_flags_total_0(k,j,i), 0 ) )                                       &
+                   wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 29 )
+             ENDIF
+!
+!--          Special flag on scalar grid, nzb_diff_s_outer - 1, required in
 !--          in production_e
              IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
-                IF ( BTEST( wall_flags_total_0(k,j,i),   24 )  .AND.                 &
-                     BTEST( wall_flags_total_0(k-1,j,i), 24 )  .AND.                 &
-                     BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                       &
-                   wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 29 )
-             ELSE
-                IF ( BTEST( wall_flags_total_0(k,j,i), 0 ) )                         &
-                   wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 29 )
-             ENDIF
-!
-!--          Special flag on scalar grid, nzb_diff_s_outer - 1, required in 
-!--          in production_e
-             IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
-                IF ( BTEST( wall_flags_total_0(k,j,i),   0 )  .AND.                  &
-                     BTEST( wall_flags_total_0(k-1,j,i), 0 )  .AND.                  &
-                     BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                       &
+                IF ( BTEST( wall_flags_total_0(k,j,i),   0 )  .AND.                                &
+                     BTEST( wall_flags_total_0(k-1,j,i), 0 )  .AND.                                &
+                     BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                                     &
                    wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 30 )
              ELSE
-                IF ( BTEST( wall_flags_total_0(k,j,i), 0 ) )                         &
+                IF ( BTEST( wall_flags_total_0(k,j,i), 0 ) )                                       &
                    wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 30 )
              ENDIF
@@ -2382,21 +2230,21 @@
 !
 !--          Scalar grid
-             IF ( BTEST( wall_flags_total_0(k-1,j,i), 0 )  .AND.                     &
-            .NOT. BTEST( wall_flags_total_0(k,j,i), 0   ) )                          & 
-                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 13 ) 
+             IF (       BTEST( wall_flags_total_0(k-1,j,i), 0 )  .AND.                             &
+                  .NOT. BTEST( wall_flags_total_0(k,j,i), 0   ) )                                  &
+                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 13 )
 !
 !--          Downward facing wall on u grid
-             IF ( BTEST( wall_flags_total_0(k-1,j,i), 1 )  .AND.                     &
-            .NOT. BTEST( wall_flags_total_0(k,j,i), 1   ) )                          & 
+             IF (       BTEST( wall_flags_total_0(k-1,j,i), 1 )  .AND.                             &
+                  .NOT. BTEST( wall_flags_total_0(k,j,i), 1   ) )                                  &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 15 )
 !
 !--          Downward facing wall on v grid
-             IF ( BTEST( wall_flags_total_0(k-1,j,i), 2 )  .AND.                     &
-            .NOT. BTEST( wall_flags_total_0(k,j,i), 2   ) )                          & 
+             IF (       BTEST( wall_flags_total_0(k-1,j,i), 2 )  .AND.                             &
+                  .NOT. BTEST( wall_flags_total_0(k,j,i), 2   ) )                                  &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 17 )
 !
 !--          Downward facing wall on w grid
-             IF ( BTEST( wall_flags_total_0(k-1,j,i), 3 )  .AND.                     &
-            .NOT. BTEST( wall_flags_total_0(k,j,i), 3 ) )                            & 
+             IF (       BTEST( wall_flags_total_0(k-1,j,i), 3 )  .AND.                             &
+                  .NOT. BTEST( wall_flags_total_0(k,j,i), 3 ) )                                    &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 19 )
           ENDDO
@@ -2406,42 +2254,42 @@
 !
 !--          Upward facing wall on scalar grid
-             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i),   0 )  .AND.               &
-                        BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                    & 
+             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i),   0 )  .AND.                             &
+                        BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                                  &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 12 )
 !
 !--          Upward facing wall on u grid
-             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i),   1 )  .AND.               &
-                        BTEST( wall_flags_total_0(k+1,j,i), 1 ) )                    & 
+             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i),   1 )  .AND.                             &
+                        BTEST( wall_flags_total_0(k+1,j,i), 1 ) )                                  &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 14 )
 
-!   
+!
 !--          Upward facing wall on v grid
-             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i),   2 )  .AND.               &
-                        BTEST( wall_flags_total_0(k+1,j,i), 2 ) )                    & 
+             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i),   2 )  .AND.                             &
+                        BTEST( wall_flags_total_0(k+1,j,i), 2 ) )                                  &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 16 )
-   
+
 !
 !--          Upward facing wall on w grid
-             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i),   3 )  .AND.               &
-                        BTEST( wall_flags_total_0(k+1,j,i), 3 ) )                    & 
+             IF ( .NOT. BTEST( wall_flags_total_0(k,j,i),   3 )  .AND.                             &
+                        BTEST( wall_flags_total_0(k+1,j,i), 3 ) )                                  &
                 wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 18 )
 !
 !--          Special flag on scalar grid, former nzb_s_inner
-             IF ( BTEST( wall_flags_total_0(k,j,i), 0 )  .OR.                        &
-                  BTEST( wall_flags_total_0(k,j,i), 12 ) .OR.                        &
-                  BTEST( wall_flags_total_0(k,j,i), 13 ) )                           &
+             IF ( BTEST( wall_flags_total_0(k,j,i), 0 )  .OR.                                      &
+                  BTEST( wall_flags_total_0(k,j,i), 12 ) .OR.                                      &
+                  BTEST( wall_flags_total_0(k,j,i), 13 ) )                                         &
                    wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 22 )
 !
-!--          Special flag on scalar grid, nzb_diff_s_inner - 1, required for 
+!--          Special flag on scalar grid, nzb_diff_s_inner - 1, required for
 !--          flow_statistics
              IF ( constant_flux_layer  .OR.  use_surface_fluxes )  THEN
-                IF ( BTEST( wall_flags_total_0(k,j,i),   0 )  .AND.                  &
-                     BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                       &
+                IF ( BTEST( wall_flags_total_0(k,j,i),   0 )  .AND.                                &
+                     BTEST( wall_flags_total_0(k+1,j,i), 0 ) )                                     &
                   wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 23 )
              ELSE
-                IF ( BTEST( wall_flags_total_0(k,j,i), 22 ) )                        &
+                IF ( BTEST( wall_flags_total_0(k,j,i), 22 ) )                                      &
                    wall_flags_total_0(k,j,i) = IBSET( wall_flags_total_0(k,j,i), 23 )
              ENDIF
-   
+
 
           ENDDO
